|  | Home · All Classes · Modules

# QSqlIndex Class Reference
[QtSql module]

The QSqlIndex class provides functions to manipulate and describe database indexes. More...

Inherits QSqlRecord.

### Methods

- __init__ (self, QString cursorName = QString(), QString name = QString())
- __init__ (self, QSqlIndex other)
- append (self, QSqlField field)
- append (self, QSqlField field, bool desc)
- QString cursorName (self)
- bool isDescending (self, int i)
- QString name (self)
- setCursorName (self, QString cursorName)
- setDescending (self, int i, bool desc)
- setName (self, QString name)

## Detailed Description

The QSqlIndex class provides functions to manipulate and describe database indexes.

An index refers to a single table or view in a database. Information about the fields that comprise the index can be used to generate SQL statements, or to affect the behavior of a QSqlCursor object.

## Method Documentation

### QSqlIndex.__init__ (self, QString cursorName = QString(), QString name = QString())

Constructs an empty index using the cursor name cursorname and index name name.

### QSqlIndex.__init__ (self, QSqlIndex other)

Constructs a copy of other.

### QSqlIndex.append (self, QSqlField field)

Appends the field field to the list of indexed fields. The field is appended with an ascending sort order.

### QSqlIndex.append (self, QSqlField field, bool desc)

This is an overloaded member function, provided for convenience.

Appends the field field to the list of indexed fields. The field is appended with an ascending sort order, unless desc is true.

### QString QSqlIndex.cursorName (self)

Returns the name of the cursor which the index is associated with.

See also setCursorName().

### bool QSqlIndex.isDescending (self, int i)

Returns true if field i in the index is sorted in descending order; otherwise returns false.

### QString QSqlIndex.name (self)

Returns the name of the index.

See also setName().

### QSqlIndex.setCursorName (self, QString cursorName)

Sets the name of the cursor that the index is associated with to cursorName.

See also cursorName().

### QSqlIndex.setDescending (self, int i, bool desc)

If desc is true, field i is sorted in descending order. Otherwise, field i is sorted in ascending order (the default). If the field does not exist, nothing happens.

See also isDescending().

### QSqlIndex.setName (self, QString name)

Sets the name of the index to name.

See also name().